import { MockAdapter } from '@/mock/mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'
const Random = Mock.Random;

// 获取应用数据
mock.onGet('v7/notify-index-viewappmenu').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, {
        name: 'appmenu',
        items:  [
            {
	id: '60A15D1D-91D1-488A-B835-FB9A822FA2D4',
	name: 'menuitem1',
	text: '接入开放平台',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '接入开放平台',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-ioxhost',
	icon: '',
	textcls: '',
	appfunctag: '_2',
	resourcetag: '',
},
            {
	id: '7E11B4BD-A48E-48A9-9010-F40C7B7C60FD',
	name: 'menuitem2',
	text: '消息模板',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '消息模板',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-list-alt',
	icon: '',
	textcls: '',
	appfunctag: '_3',
	resourcetag: '',
},
        ],
    }];
});

